Bug 19621 - Routing lists tab not present when viewing 'Holds history' tab for a patron
Summary: Routing lists tab not present when viewing 'Holds history' tab for a patron
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-13 17:18 UTC by Nick Clemens
Modified: 2018-06-04 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19621 - Use preference check on template side to display/not display Routing lists tab (10.31 KB, patch)
2017-11-13 17:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19621 - Use preference check on template side to display/not display Routing lists tab (10.12 KB, patch)
2017-11-16 00:06 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 19621 - Use preference check on template side to display/not display Routing lists tab (10.17 KB, patch)
2017-12-22 00:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-11-13 17:18:35 UTC
To recreate:
1 - Enable RoutingSerials syspref
2 - Open a patron record
3 - Click through the tabs on the left side of the screen
4 - Note that 'Routing lists' is visible on all screens except 'Holds history'
Comment 1 Nick Clemens 2017-11-13 17:21:00 UTC
Created attachment 69132 [details] [review]
Bug 19621 - Use preference check on template side to display/not display Routing lists tab

Currently we pass a param to control display - the param is a just a
check of syspref so can be done directly form template

To test:
1 - Enable RoutingSerials syspref
2 - Open a patron record
3 - Click through the tabs on the left side of the screen
4 - Note that 'Routing lists' is visible on all screens except 'Holds
history'
5 - Apply patch
6 - 'Routing lists' should now be visible in all tabs.
Comment 2 Dilan Johnpullé 2017-11-16 00:06:44 UTC
Created attachment 69171 [details] [review]
Bug 19621 - Use preference check on template side to display/not display Routing lists tab

Patch applies without issue and functions as described.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 3 Marcel de Rooy 2017-11-27 13:10:51 UTC
Seems an enh to me
Comment 4 Nick Clemens 2017-11-27 18:34:34 UTC
I's argue for bug - it appears on all other tabs and disappears on one, not adding a new page, just fixing to how it 'should' work

It does hit a few pages, so fine either way
Comment 5 Katrin Fischer 2017-12-22 00:08:47 UTC
I agree with Nick - inconsistent behaviour, you don't expect for menu items to go missing when changing the tab.
Comment 6 Katrin Fischer 2017-12-22 00:10:23 UTC
Created attachment 70091 [details] [review]
Bug 19621 - Use preference check on template side to display/not display Routing lists tab

Patch applies without issue and functions as described.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2017-12-22 16:16:55 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Nick Clemens 2018-01-15 16:45:02 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 9 Fridolin SOMERS 2018-01-19 12:44:08 UTC
Pushed to 17.05.x for v17.05.08